# PhasicFlow: selectorRandomPoints Class Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

selectorRandomPoints Class Reference
Inheritance diagram for selectorRandomPoints:
[legend]
Collaboration diagram for selectorRandomPoints:
[legend]

## Public Member Functions

| TypeInfo ("selector<randomPoints>")
| selectorRandomPoints (const pointStructure &pStruct, const dictionary &dict)
| selectorRandomPoints (const word &type, const pointStructure &pStruct, const dictionary &UNUSED(dict))
| add_vCtor (pStructSelector, selectorRandomPoints, dictionary)
| add_vCtor (pStructSelector, selectorRandomPoints, word)
| ~selectorRandomPoints () final=default
const uint32Vector & | selectedPoints () const final
uint32Vector & | selectedPoints () final
Public Member Functions inherited from pStructSelector
| TypeInfo ("pStructSelector")
| pStructSelector (const pointStructure &pStruct, const dictionary &UNUSED(dict))
| the dictionary contains the selector keyword and another dictionary which is used for creating selector More...
| pStructSelector (const word &type, const pointStructure &pStruct, const dictionary &UNUSED(dict))
| construct using selector type and a dictionary that contains info of selector More...
| create_vCtor (pStructSelector, dictionary,(const pointStructure &pStruct, const dictionary &dict),(pStruct, dict))
| create_vCtor (pStructSelector, word,(const word &type, const pointStructure &pStruct, const dictionary &dict),(type, pStruct, dict))
virtual | ~pStructSelector ()=default
const pointStructure & | pStruct () const
realx3Vector | selectedPointPositions () const

## Private Member Functions

bool | selectAllPointsInRange ()

## Private Attributes

uint32Vector | selectedPoints_
uint32 | begin_
uint32 | end_
uint32 | number_

## Additional Inherited Members

Static Public Member Functions inherited from pStructSelector
static uniquePtr< pStructSelector > | create (const pointStructure &pStruct, const dictionary &dict)
static uniquePtr< pStructSelector > | create (const word &type, const pointStructure &pStruct, const dictionary &dict)
Protected Attributes inherited from pStructSelector
const pointStructure & | pStruct_

## Detailed Description

Definition at line 34 of file selectorRandomPoints.hpp.

## Constructor & Destructor Documentation

## selectorRandomPoints() [1/2]

selectorRandomPoints | ( | const pointStructure & | pStruct,
|  | const dictionary & | dict
| ) |  |

Definition at line 78 of file selectorRandomPoints.cpp.

## selectorRandomPoints() [2/2]

selectorRandomPoints | ( | const word & | type,
|  | const pointStructure & | pStruct,
|  | const dictionary & | UNUSEDdict
| ) |  |

## ~selectorRandomPoints()

~selectorRandomPoints | ( |  | ) |

finaldefault

## Member Function Documentation

## selectAllPointsInRange()

bool selectAllPointsInRange | ( |  | ) |

private

Definition at line 27 of file selectorRandomPoints.cpp.

References selectorRandomPoints::begin_, selectorRandomPoints::end_, pFlow::endl(), fatalErrorInFunction, n, selectorRandomPoints::number_, uniformRandomUint32::randomNumber(), Vector< T, Allocator >::reserve(), and selectorRandomPoints::selectedPoints_.

Here is the call graph for this function:

## TypeInfo()

TypeInfo | ( | "selector<randomPoints>" |  | ) |

## add_vCtor() [1/2]

add_vCtor | ( | pStructSelector | ,
|  | selectorRandomPoints | ,
|  | dictionary |
| ) |  |

## add_vCtor() [2/2]

add_vCtor | ( | pStructSelector | ,
|  | selectorRandomPoints | ,
|  | word |
| ) |  |

## selectedPoints() [1/2]

const uint32Vector& selectedPoints | ( |  | ) | const

inlinefinalvirtual

Implements pStructSelector.

Definition at line 83 of file selectorRandomPoints.hpp.

References selectorRandomPoints::selectedPoints_.

## selectedPoints() [2/2]

uint32Vector& selectedPoints | ( |  | ) |

inlinefinalvirtual

Implements pStructSelector.

Definition at line 88 of file selectorRandomPoints.hpp.

References selectorRandomPoints::selectedPoints_.

## Member Data Documentation

## selectedPoints_

uint32Vector selectedPoints_

private

Definition at line 40 of file selectorRandomPoints.hpp.

Referenced by selectorRandomPoints::selectAllPointsInRange(), and selectorRandomPoints::selectedPoints().

## begin_

uint32 begin_

private

Definition at line 43 of file selectorRandomPoints.hpp.

Referenced by selectorRandomPoints::selectAllPointsInRange().

## end_

uint32 end_

private

Definition at line 46 of file selectorRandomPoints.hpp.

Referenced by selectorRandomPoints::selectAllPointsInRange().

## number_

uint32 number_

private

Definition at line 49 of file selectorRandomPoints.hpp.

Referenced by selectorRandomPoints::selectAllPointsInRange().

The documentation for this class was generated from the following files:

- src/phasicFlow/structuredData/pointStructure/selectors/selectorRandomPoints/selectorRandomPoints.hpp
- src/phasicFlow/structuredData/pointStructure/selectors/selectorRandomPoints/selectorRandomPoints.cpp